/*
    Copyright 2009 Graham King <graham@gkgk.org>
    
    This file is part of FireBucket.

    FireBucket is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    FireBucket is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with FireBucket.  If not, see <http://www.gnu.org/licenses/>.
*/
FB.top = null;	// onSave needs to access this
FB.initBucketACLWindow = function() {
	FB.top = new FB.BucketACLWindow(FB.account, FB.bucket, FB.callback);
	FB.top.run();
}

FB.onSave = function() {
	FB.top.save();
}

FB.onCancel = function() {
	return true;
}

FB.BucketACLWindow = function(account, bucket, callback) {
	this.account = account;
	this.bucket = bucket;
	this.callback = callback;
}

FB.BucketACLWindow.prototype = {

	run:
		function() {
		
			function callback(aclXML, aclText) {
				document.getElementById('fb_acl').setAttribute('value', aclText);
			}

			this.bucket.getACL(callback);
		},
	save:
		function() {
			var xmlACL = document.getElementById('fb_acl').value;
			this.bucket.setACL(xmlACL);
		}
		
}
